:root {
    --litepickerBgColor: #fff;
    --litepickerMonthHeaderTextColor: #3D392F;
    --litepickerMonthButton: #C9C8D8;
    --litepickerMonthButtonHover: #00ffff;
    --litepickerMonthWidth: calc(var(--litepickerDayWidth) * 7);
    --litepickerMonthWeekdayColor: #C9C8D8;
    --litepickerDayColor: #333;
    --litepickerDayColorHover: #00ffff;
    --litepickerDayIsTodayColor: #00ffff;
    --litepickerDayIsInRange: #00ffff1a;
    --litepickerDayIsLockedColor: #33333347;
    --litepickerDayIsBookedColor: #C9C8D8;
    --litepickerDayIsStartColor: #fff;
    --litepickerDayIsStartBg: #00ffff;
    --litepickerDayIsEndColor: #fff;
    --litepickerDayIsEndBg: #00ffff;
    --litepickerDayWidth: 38px;
    --litepickerButtonCancelColor: #fff;
    --litepickerButtonCancelBg: #C9C8D8;
    --litepickerButtonApplyColor: #fff;
    --litepickerButtonApplyBg: #00ffff;
    --litepickerButtonResetBtn: #909090;
    --litepickerButtonResetBtnHover: #00ffff;
    --litepickerHighlightedDayColor: #333;
    --litepickerHighlightedDayBg: #ffeb3b;
}
.show-week-numbers {
    --litepickerMonthWidth: calc(var(--litepickerDayWidth) * 8);
}
.litepicker {
    font-family: 'Jost';
    font-size: 14px;
    display: none;
    margin-top: 0;
    margin-left: -40px;
}
.litepicker .container__main {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
.litepicker .container__months {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    background-color: var(--litepickerBgColor);
    border-radius: 5px;
    -webkit-box-shadow: 0 0 1.5rem rgb(0 0 0 / 16%);
    box-shadow: 0 0 1.5rem rgb(0 0 0 / 16%);
    width: calc(var(--litepickerMonthWidth) + 10px);
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}
.litepicker .container__months.columns-2 {
    width: calc((var(--litepickerMonthWidth) * 2) + 20px);
}
.litepicker .container__months.columns-3 {
    width: calc((var(--litepickerMonthWidth) * 3) + 30px);
}
.litepicker .container__months.columns-4 {
    width: calc((var(--litepickerMonthWidth) * 4) + 40px);
}
.litepicker .container__months.split-view .month-item-header .button-previous-month, .litepicker .container__months.split-view .month-item-header .button-next-month {
    visibility: visible;
}
.litepicker .container__months .month-item {
    padding: 5px;
    width: var(--litepickerMonthWidth);
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}
.litepicker .container__months .month-item-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    font-weight: 500;
    padding: 10px 5px;
    text-align: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    color: var(--litepickerMonthHeaderTextColor);
    text-transform: capitalize;
}
.litepicker .container__months .month-item-header div {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}
.litepicker .container__months .month-item-header div>.month-item-name {
    margin-right: 5px;
}
.litepicker .container__months .month-item-header div>.month-item-year {
    padding: 0;
}
.litepicker .container__months .month-item-header .reset-button {
    color: var(--litepickerButtonResetBtn);
}
.litepicker .container__months .month-item-header .reset-button>svg, .litepicker .container__months .month-item-header .reset-button>img {
    fill: var(--litepickerButtonResetBtn);
    pointer-events: none;
}
.litepicker .container__months .month-item-header .reset-button:hover {
    color: var(--litepickerButtonResetBtnHover);
}
.litepicker .container__months .month-item-header .reset-button:hover>svg {
    fill: var(--litepickerButtonResetBtnHover);
}
.litepicker .container__months .month-item-header .button-previous-month, .litepicker .container__months .month-item-header .button-next-month {
    visibility: hidden;
    text-decoration: none;
    color: var(--litepickerMonthButton);
    padding: 3px 5px;
    border-radius: 3px;
    -webkit-transition: color 0.3s, border 0.3s;
    transition: color 0.3s, border 0.3s;
    cursor: default;
}
.litepicker .container__months .month-item-header .button-previous-month>svg, .litepicker .container__months .month-item-header .button-previous-month>img, .litepicker .container__months .month-item-header .button-next-month>svg, .litepicker .container__months .month-item-header .button-next-month>img {
    fill: var(--litepickerMonthButton);
    pointer-events: none;
}
.litepicker .container__months .month-item-header .button-previous-month:hover, .litepicker .container__months .month-item-header .button-next-month:hover {
    color: var(--litepickerMonthButtonHover);
}
.litepicker .container__months .month-item-header .button-previous-month:hover>svg, .litepicker .container__months .month-item-header .button-next-month:hover>svg {
    fill: var(--litepickerMonthButtonHover);
}
.litepicker .container__months .month-item-weekdays-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-self: center;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    color: var(--litepickerMonthWeekdayColor);
    text-transform: capitalize;
}
.litepicker .container__months .month-item-weekdays-row>div {
    padding: 5px 0;
    font-size: 85%;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    width: var(--litepickerDayWidth);
    text-align: center;
}
.litepicker .container__months .month-item:first-child .button-previous-month {
    visibility: visible;
}
.litepicker .container__months .month-item:last-child .button-next-month {
    visibility: visible;
}
.litepicker .container__months .month-item.no-previous-month .button-previous-month {
    visibility: hidden;
}
.litepicker .container__months .month-item.no-next-month .button-next-month {
    visibility: hidden;
}
.litepicker .container__days {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    justify-self: center;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    text-align: center;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}
.litepicker .container__days>div, .litepicker .container__days>a {
    padding: 5px 0;
    width: var(--litepickerDayWidth);
}
.litepicker .container__days .day-item {
    color: var(--litepickerDayColor);
    text-align: center;
    text-decoration: none;
    border-radius: 50%;
    -webkit-transition: color 0.3s, border 0.3s;
    transition: color 0.3s, border 0.3s;
    cursor: default;
    font-weight: 600;
    width: 38px;
    height: 38px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin-bottom: 5px;
}
.litepicker .container__days .day-item:hover {
    color: var(--litepickerDayColorHover);
    -webkit-box-shadow: inset 0 0 0 1px var(--litepickerDayColorHover);
    box-shadow: inset 0 0 0 1px var(--litepickerDayColorHover);
}
.litepicker .container__days .day-item.is-today {
    color: #fff;
    background: var(--litepickerDayColorHover);
}
.litepicker .container__days .day-item.is-locked {
    color: var(--litepickerDayIsLockedColor);
}
.litepicker .container__days .day-item.is-locked:hover {
    color: var(--litepickerDayIsLockedColor);
    -webkit-box-shadow: none;
    box-shadow: none;
    cursor: default;
}
.litepicker .container__days .day-item.is-booked {
    color: var(--litepickerDayIsBookedColor);
}
.litepicker .container__days .day-item.is-booked:hover {
    color: var(--litepickerDayIsBookedColor);
    -webkit-box-shadow: none;
    box-shadow: none;
    cursor: default;
}
.litepicker .container__days .day-item.is-in-range {
    background-color: var(--litepickerDayIsInRange);
    border-radius: 0;
}
.litepicker .container__days .day-item.is-start-date {
    color: var(--litepickerDayIsStartColor);
    background-color: var(--litepickerDayIsStartBg);
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: 0 0 1.5rem rgb(0 0 0 / 16%);
}
.litepicker .container__days .day-item.is-start-date.is-flipped {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
.litepicker .container__days .day-item.is-end-date {
    color: var(--litepickerDayIsStartColor);
    background-color: var(--litepickerDayIsStartBg);
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: 0 0 1.5rem rgb(0 0 0 / 16%);
}
.litepicker .container__days .day-item.is-end-date.is-flipped {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.litepicker .container__days .day-item.is-start-date.is-end-date {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
.litepicker .container__days .day-item.is-highlighted {
    color: var(--litepickerHighlightedDayColor);
    background-color: var(--litepickerHighlightedDayBg);
}
.litepicker .container__days .week-number {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #C9C8D8;
    font-size: 85%;
}
.litepicker .container__footer {
    text-align: right;
    padding: 10px 5px;
    margin: 0 5px;
    background-color: #fafafa;
    -webkit-box-shadow: inset 0px 3px 3px 0px #ddd;
    box-shadow: inset 0px 3px 3px 0px #ddd;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}
.litepicker .container__footer .preview-date-range {
    margin-right: 10px;
    font-size: 90%;
}
.litepicker .container__footer .button-cancel {
    background-color: var(--litepickerButtonCancelBg);
    color: var(--litepickerButtonCancelColor);
    border: 0;
    padding: 3px 7px 4px;
    border-radius: 3px;
}
.litepicker .container__footer .button-cancel>svg, .litepicker .container__footer .button-cancel>img {
    pointer-events: none;
}
.litepicker .container__footer .button-apply {
    background-color: var(--litepickerButtonApplyBg);
    color: var(--litepickerButtonApplyColor);
    border: 0;
    padding: 3px 7px 4px;
    border-radius: 3px;
    margin-left: 10px;
    margin-right: 10px;
}
.litepicker .container__footer .button-apply:disabled {
    opacity: 0.7;
}
.litepicker .container__footer .button-apply>svg, .litepicker .container__footer .button-apply>img {
    pointer-events: none;
}
.litepicker .container__tooltip {
    position: absolute;
    margin-top: -4px;
    padding: 4px 8px;
    border-radius: 4px;
    background-color: #fff;
    -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    white-space: nowrap;
    font-size: 11px;
    pointer-events: none;
    visibility: hidden;
}
.litepicker .container__tooltip:before {
    position: absolute;
    bottom: -5px;
    left: calc(50% - 5px);
    border-top: 5px solid rgba(0, 0, 0, 0.12);
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    content: "";
}
.litepicker .container__tooltip:after {
    position: absolute;
    bottom: -4px;
    left: calc(50% - 4px);
    border-top: 4px solid #fff;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    content: "";
}
.litepicker-open {
    overflow: hidden;
}
.litepicker-backdrop {
    display: none;
    background-color: #000;
    opacity: 0.3;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}
